---
- hosts: all
  become: yes

  tasks:
    - name: Update and upgrade packages
      apt:
        upgrade: 'yes'
        update_cache: yes

    - name: Install common prerequisites
      apt:
        name:
          - python3-pip
        state: present

    # UFW Configuration
    - name: 'UFW - Allow HTTP on port {{ http_port }}'
      ufw:
        rule: allow
        port: '{{ http_port }}'
        proto: tcp

    - name: Install docker python package
      pip:
        name: docker

    - name: Create and start devops-example-app
      community.docker.docker_container:
        name: hexlet-devops-example-app
        image: hexletcomponents/devops-example-app
        state: started
        restart: yes
        ports:
          - '{{ http_port }}:5000'
        env:
          SERVER_MESSAGE: '{{ SERVER_MESSAGE }}'
